software-center crashed with ValueError in expand_path(): need more than 2 values to unpack

Bug #959530 reported by Pit(er) Ralon on 2012-03-19
278
This bug affects 64 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
High
Kiwinote

Bug Description

want to remove amd catalyst control center in Software center. Status from the software package was installing - then software center start crash report

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: software-center 5.1.12
ProcVersionSignature: Ubuntu 3.2.0-19.30-generic 3.2.11
Uname: Linux 3.2.0-19-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Mon Mar 19 18:40:16 2012
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 LANGUAGE=de_CH:de
 LANG=de_CH.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with ValueError in expand_path(): need more than 2 values to unpack
UpgradeStatus: Upgraded to precise on 2012-03-19 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Pit(er) Ralon (pitralon) wrote :
visibility: private → public
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in software-center (Ubuntu):
status: New → Confirmed
ealbiter (ealbiter) wrote :

I got this error two times in just 1 hour. It happens when I want to install software, I just click more info and after a while, I get this error.

Patrick (patricf1) wrote :

Was installing 'PlayOnLinux' from Software-Center when crash occurred near end of installation.

I was installing Wine when this bug repport apeared.

Occurred to me after clicking "More info" on the gstreamer0.10-fluendo-mp3 package in the Software Center.

...and happened again after installing said package from the same page.

Jacob Mayle (tritonian) wrote :

occured as I was installing gparted.

ya habia realizado una actualizacion del sistema y me disponia a instalar una aplicacion llamada empathy cuando aparesio el error

Problem pojawia się u mnie przed rozpoczęciem instalacji programu a nawet w trakcie szukania programów.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: software-center 5.1.12
Uname: Linux 3.2.0-19-generic
Architecture: amd64

Kiwinote (kiwinote) wrote :
Changed in software-center (Ubuntu):
assignee: nobody → Kiwinote (kiwinote)
importance: Undecided → High
status: Confirmed → In Progress
stefanhgm (stefanhegselmann) wrote :

I got this error while adding the "multiverse"-Source for "ubuntu-restricted-extras"

UbuFiNeon (ubufineon) wrote :

Clicking the "More Information"-Thing on indicator-sound

Launchpad Janitor (janitor) wrote :
Download full text (4.6 KiB)

This bug was fixed in the package software-center - 5.1.13

---------------
software-center (5.1.13) precise; urgency=low

  [ Anthony Lenton ]
  * lp:~elachuni/software-center/pep8-test-part5,
    lp:~elachuni/software-center/pep8-test-part6,
    lp:~elachuni/software-center/pep8-test-part7,
    lp:~elachuni/software-center/pep8-test-part8,
    lp:~elachuni/software-center/pep8-test-part9,
    lp:~elachuni/software-center/pep8-test-part10,
    lp:~elachuni/software-center/pep8-test-part11,
    lp:~elachuni/software-center/pep8-test-part12,
    lp:~elachuni/software-center/pep8-test-part13,
    lp:~elachuni/software-center/pep8-test-part14,
    lp:~elachuni/software-center/pep8-test-part15,
    lp:~elachuni/software-center/pep8-test-part16,
    lp:~elachuni/software-center/pep8-test-part17,
    lp:~elachuni/software-center/pep8-test-part18,
    lp:~elachuni/software-center/pep8-test-part19,
    lp:~elachuni/software-center/pep8-test-part20,
    lp:~elachuni/software-center/pep8-test-part21,
    lp:~elachuni/software-center/pep8-test-part22:
    - many, many, many pep8 fixes
  * lp:~elachuni/software-center/unify-ussoc-envvar:
    - fix USSOC_SERVICE_URL env variable

  [ Gabor Kelemen ]
  * lp:~kelemeng/software-center/bug953812: (LP: #953812)
    - Translate review sorting criteria
    - Fix the Recommendation spinner text translations

  [ Michael Vogt ]
  * lp:~mvo/software-center/small-sso-fixes:
    - fix the clear_credentials() call if a token is no
      longer valid
  * lp:~mvo/software-center/lp955005:
    - don't display ratings for the case where an app
      cannot be found (LP: #955005)
  * lp:~mvo/software-center/opengl-driver-blacklist:
    - add support for video driver blacklisting
  * lp:~mvo/software-center/lp856559:
    - fix case where the search term is not always
      cleared in the search entry (LP: #856559)
  * lp:~mvo/software-center/misc-fixes:
    - when a package can not be authenticated, do not fail
      (hard) but instead offer to "repair" the situation using
      a "reload" and try the install again (LP: #876278)
    - do not crash in if os.makedirs has a race condition
      (LP: #956680)
    - fix the proxy handling with 12.04 as the "enabled" property
      is deprecated now. it will also not mess with the proxy
      environment on non-gnome systems (LP: #742564)
  * lp:~mvo/software-center/lp780812:
    - ensure that the distroseries is updated in the sources
      deb line when updating a purchased item (LP: #780812)
  * lp:~mvo/software-center/recommendations-opt-out:
    - fix double-results when opting-in and back out of of
      the recommendations service repeatedly
  * lp:~mvo/software-center/tos-dialog:
    - display a terms-of-service dialog before the first purchase
  * lp:~mvo/software-center/lp957599:
    - add a new unit test test_spawn_helper.py
  * lp:~mvo/software-center/track-db-open:
    - improve db logging

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-lp955048:
    - String fix for the "Recommended For You" panel. LP: #955048
  * lp:~gary-lasker/software-center/fix-lp856559:
    - Clears the search entry field before doing a reinstall
      previous purchases (LP: #85655...

Read more...

Changed in software-center (Ubuntu):
status: In Progress → Fix Released

I got that crash while installing fbreader in the Ubuntu Software Center. For a short moment, the number in installations switched from 1 to 2 - just before the crash.

Got the crash while installing XML Copy Editor. Since then, every time the software center is opened, it crashes 2-3 times.

Antonis Pappas (bigfatpugsley) wrote :

Happened while I was browsing list of top applications.

Cesar Gomez (cegope) wrote :

i got the crash when i try to install libreoffice data base

Damas (damasi) wrote :

happens almost everytime i uninstall packages using software centre...

deu erro

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers